<?php
/**
 * @param array $settings
 * @param null  $query_data
 * loop list 4
 */
if ( ! function_exists( 'pixwell_post_list_4' ) ) :
	function pixwell_post_list_4( $settings = array() ) {
		$settings = pixwell_get_meta_setting( $settings, 'list_4' );

		if ( empty( $settings['h_tag'] ) ) {
			$settings['h_tag'] = 'h4';
		}

		$post_classes   = array();
		$post_classes[] = 'p-wrap p-list p-list-4';
		if ( ! pixwell_is_featured_image( 'pixwell_280x210-small' ) ) {
			$post_classes[] = 'no-feat';
		}
		if ( empty( pixwell_post_meta_info( $settings ) ) ) {
			$post_classes[] = 'rb-hf';
		}
		if ( empty( pixwell_get_option( 'meta_author_icon' ) ) || ! isset( $settings['entry_meta']['enabled']['author'] ) ) {
			$post_classes[] = 'no-avatar';
		} ?>
		<article class="<?php echo join( ' ', get_post_class( $post_classes ) ); ?>">
			<?php if ( pixwell_is_featured_image( 'pixwell_280x210-small' ) ) : ?>
				<div class="col-left">
					<div class="p-feat">
						<?php pixwell_post_thumb( 'pixwell_280x210-small' ); ?>
					</div>
				</div>
			<?php endif; ?>
			<div class="col-right">
				<div class="p-header"><?php pixwell_post_title( $settings['h_tag'], $settings['bookmark'], 'h6' ); ?></div>
				<div class="p-footer">
					<?php echo pixwell_post_meta_info( $settings );
					if ( isset( $settings['entry_meta']['enabled'] ) && empty( $settings['remove_markup'] ) ) {
						pixwell_post_meta_hidden( $settings['entry_meta']['enabled'] );
					} ?>
				</div>
			</div>
		</article>
	<?php
	}
endif;
